SimpleJMSListener (Axis API)
Keywords: org.apache.axis.transport.jms.SimpleJMSListener class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class SimpleJMSListener

    java.lang.Object
      org.apache.axis.transport.jms.SimpleJMSListener

All Implemented Interfaces:
  javax.jms.MessageListener

public class SimpleJMSListener
extends java.lang.Object
implements javax.jms.MessageListener

SimpleJMSListener implements the javax.jms.MessageListener interface. Its basic purpose is listen asynchronously for messages and to pass them off to SimpleJMSWorker for processing. Note: This is a simple JMS listener that does not pool worker threads and is not otherwise tuned for performance. As such, its intended use is not for production code, but for demos, debugging, and performance profiling.

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Richard Chung (rchung@sonicsoftware.com), Dave Chappell (chappell@sonicsoftware.com)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`SimpleJMSListener(java.util.HashMap connectorMap, java.util.HashMap cfMap, java.lang.String destination, java.lang.String username, java.lang.String password, boolean doThreads)`

Method Summary
`static java.util.HashMap` | `createCFMap(Options options)`
`static java.util.HashMap` | `createConnectorMap(Options options)`
`protected static AxisServer` | `getAxisServer()`
`protected JMSConnector` | `getConnector()`
`static void` | `main(java.lang.String[] args)`
`void` | `onMessage(javax.jms.Message message)` This method is called asynchronously whenever a message arrives.
`static void` | `printUsage()`
`void` | `shutdown()`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### SimpleJMSListener

    public SimpleJMSListener(java.util.HashMap connectorMap,
                             java.util.HashMap cfMap,
                             java.lang.String destination,
                             java.lang.String username,
                             java.lang.String password,
                             boolean doThreads)
                      throws java.lang.Exception

Method Detail

### getAxisServer

    protected static AxisServer getAxisServer()

### getConnector

    protected JMSConnector getConnector()

### onMessage

    public void onMessage(javax.jms.Message message)

  This method is called asynchronously whenever a message arrives.

  Specified by:
    `onMessage` in interface `javax.jms.MessageListener`
  Parameters:
    `message` -

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### shutdown

    public void shutdown()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createConnectorMap

    public static final java.util.HashMap createConnectorMap(Options options)

### createCFMap

    public static final java.util.HashMap createCFMap(Options options)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### printUsage

    public static void printUsage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.